import type { Nullable } from '../typings/utility-types.js';
type SafeTimeout = ReturnType<typeof setTimeout>;
type SafeInterval = ReturnType<typeof setInterval>;
export type SafeTimer = Nullable<SafeInterval | SafeTimeout | number>;
export type GlobalObject = Partial<typeof globalThis>;
export declare function isBrowser(obj: GlobalObject): obj is GlobalObject & Window;
export declare function getSafeWindow(): GlobalObject;
export declare function getOwnerGlobalObject(element: Element): GlobalObject;
export {};
